Bug 1957 - pdnsd service start error
: pdnsd service start error
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 18:53 MSD by Vladimir Potapov
Modified: 2014-05-06 19:29 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2013-04-22 18:53:18 MSD
#systemctl status pdnsd.service   
pdnsd.service - SYSV: Starts and stops the pdnsd server, a DNS caching daemon
          Loaded: loaded (/etc/rc.d/init.d/pdnsd)
          Active: failed since Mon, 22 Apr 2013 23:45:29 +0900; 7min ago
         Process: 7151 ExecStart=/etc/rc.d/init.d/pdnsd start (code=exited, status=1/FAILURE)
          CGroup: name=systemd:/system/pdnsd.service

Apr 22 23:45:29 ROSA.x64 pdnsd[7159]: Could not bind tcp socket: Address already in use
Apr 22 23:45:29 ROSA.x64 pdnsd[7159]: Could not bind to udp socket: Address already in use
Apr 22 23:45:29 ROSA.x64 pdnsd[7159]: tcp and udp initialization failed. Exiting.
Apr 22 23:45:29 ROSA.x64 pdnsd[7151]: Starting pdnsd: [FAILED]
Comment 1 Alexander Burmashev 2013-04-22 18:56:12 MSD
1) fixed bug description, pdnsd is from contrib

2) Are you sure you need it ? Looking at the description you already have something running, that possibly has the same function, mb avahi ?
Comment 2 Vladimir Potapov 2013-04-23 03:46:08 MSD
I did not set up any DNS services. By default avahi caches DNS?
Comment 3 Denis Silakov 2013-04-23 10:36:42 MSD
Check output of type following command:

netstat -van | grep :53

Since pdnsd is a DNS server, it uses 53th port (by RFC) and it seems that someone has already occupied this port on your machine (e.g., bind or dnsmasq; unlikely this isavahi).
Comment 4 Vladimir Potapov 2013-04-29 13:48:08 MSD
 netstat -van | grep :53
tcp        0      0 127.0.0.1:5380              0.0.0.0:*                   LISTEN      
tcp        0      0 127.0.0.1:53                0.0.0.0:*                   LISTEN      
udp        0      0 0.0.0.0:53789               0.0.0.0:*                               
udp        0      0 0.0.0.0:5353                0.0.0.0:*                               
netstat: no support for `AF INET (sctp)' on this system.
netstat: no support for `AF INET (sctp)' on this system.
udp        0      0 127.0.0.1:53                0.0.0.0:*                               
netstat: no support for `AF IPX' on this system.
netstat: no support for `AF AX25' on this system.
netstat: no support for `AF X25' on this system.
netstat: no support for `AF NETROM' on this system.
Comment 5 Denis Silakov 2013-04-29 20:54:18 MSD
(In reply to comment #4)
> tcp        0      0 127.0.0.1:53                0.0.0.0:*                  
> LISTEN      

^^^
The port is really busy by someone, but netstat doesn't show who occupies it. Check output of the following commands:

# lsof -i4 | grep ':domain'
# lsof -i4 | grep ':53'

(must be launched from root)
Comment 6 Denis Silakov 2014-03-30 23:53:51 MSD
Any news on this bug?

I think it would be nice to find out a process which occupies port 53 on your machine, though I don't think there is a real bug here.
Comment 7 Vladimir Potapov 2014-03-31 03:40:22 MSD
Now pdnsd started correct, but show another error

 Cache file /var/cache/pdnsd/pdnsd.cache ignored because of incompatible version...tifier

If I delete the cache file, pdnsd start without errors.
Comment 8 Denis Silakov 2014-05-06 19:29:45 MSD
I've added forced cache cleanup to post-install scripts of pdnsd, so the latter issue should be fixed, as well.